## Apache Zeta Components Manual :: File Source for filter_options.php

## Source for file filter_options.php

Documentation is available at filter_options.php

1. <?php
2. /**
3. * File containing the ezcAuthenticationFilterOptions class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @filesource
24. * @package Authentication
25. * @version //autogen//
26. */
28. /**
29. * Class containing the basic options for authentication filters.
30. *
31. * @package Authentication
32. * @version //autogen//
33. */
34. class ezcAuthenticationFilterOptions extends ezcBaseOptions
35. {
36. /**
37. * Constructs an object with the specified values.
38. *
39. * @throws ezcBasePropertyNotFoundException
40. * if $options contains a property not defined
41. * @throws ezcBaseValueException
42. * if $options contains a property with a value not allowed
43. * @param array(string=>mixed) $options The options for this class
44. */
45. public function __construct ( array $options = array() )
46. {
47. parent:: __construct ( $options );
48. }
50. /**
51. * Sets the option $name to $value.
52. *
53. * @throws ezcBasePropertyNotFoundException
54. * if the property $name is not defined
55. * @throws ezcBaseValueException
56. * if $value is not correct for the property $name
57. * @param string $name The name of the property to set
58. * @param mixed $value The new value of the property
59. * @ignore
60. */
61. public function __set( $name, $value )
62. {
63. switch ( $name )
64. {
65. default:
66. throw new ezcBasePropertyNotFoundException ( $name );
67. }
68. }
69. }
70. ?>

Documentation generated by phpDocumentor 1.4.3